SeExpr

Public Member Functions | Private Slots | Private Attributes | List of all members
CurveControl Class Reference

Control for editing a normal curve ramp. More...

`#include <ExprControl.h>`

Inheritance diagram for CurveControl:

## Public Member Functions
| CurveControl (int id, CurveEditable *stringEditable)
Public Member Functions inherited from ExprControl
| ExprControl (int id, Editable *editable, bool showColorLink)
virtual | ~ExprControl ()
virtual QColor | getColor ()
| Interface for getting the color (used for linked color picking) More...
virtual void | setColor (QColor color)
| Interface for setting the color (used for linked color picking) More...
void | linkDisconnect (int newId)

## Private Slots
void | curveChanged ()

## Private Attributes
CurveEditable * | _curveEditable
| curve model More...
ExprCurve * | _curve
| curve edit widget More...

## Additional Inherited Members
Public Slots inherited from ExprControl
void | linkStateChange (int state)
Signals inherited from ExprControl
void | controlChanged (int id)
void | linkColorEdited (int id, QColor color)
void | linkColorLink (int id)
Protected Attributes inherited from ExprControl
int | _id
bool | _updating
QHBoxLayout * | hbox
QCheckBox * | _colorLinkCB
QLabel * | _label
Editable * | _editable

## Detailed Description

Control for editing a normal curve ramp.

Definition at line 248 of file ExprControl.h.

## Constructor & Destructor Documentation

## ◆ CurveControl()

CurveControl::CurveControl | ( | int | id,
|  | CurveEditable * | stringEditable
| ) |  |

Definition at line 427 of file ExprControl.cpp.

References _curve, _curveEditable, SeExpr2::Curve< T >::CV::_interp, SeExpr2::Curve< T >::CV::_pos, ExprCurve::_scene, SeExpr2::Curve< T >::CV::_val, ExprCurve::addPoint(), curveChanged(), GenericCurveEditable< TVAL >::cvs, and ExprControl::hbox.

## Member Function Documentation

## ◆ curveChanged

void CurveControl::curveChanged | ( |  | ) |
| private slot

Definition at line 442 of file ExprControl.cpp.

References _curve, _curveEditable, CurveScene::_cvs, ExprControl::_id, ExprCurve::_scene, ExprControl::controlChanged(), and GenericCurveEditable< TVAL >::cvs.

Referenced by CurveControl().

## Member Data Documentation

## ◆ _curve

ExprCurve* CurveControl::_curve
| private

curve edit widget

Definition at line 254 of file ExprControl.h.

Referenced by curveChanged(), and CurveControl().

## ◆ _curveEditable

CurveEditable* CurveControl::_curveEditable
| private

curve model

Definition at line 252 of file ExprControl.h.

Referenced by curveChanged(), and CurveControl().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.cpp